Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90	(revision 5116)
@@ -64,5 +64,5 @@
 
     USE isotopes_mod, ONLY: ridicule,iso_eau,iso_HDO,ridicule_evap
-    USE isotrac_mod, only: option_revap,evap_franche,izone_revap, &
+    USE isotrac_mod, ONLY: option_revap,evap_franche,izone_revap, &
 &       ridicule_trac
 #ifdef ISOVERIF
@@ -105,5 +105,5 @@
 #endif         
 
-!        write(*,*) 'compress_stewart 315 tmp: ',
+!        WRITE(*,*) 'compress_stewart 315 tmp: ',
 !     :           'entrée dans uncompress_commun_zone_revap'
 
@@ -115,10 +115,10 @@
               ((liq.eq.0).and. &
               (Eqi_stewart(il)*fac_ftmr_cas(il).ge.0.0))).or. &
-              (izone.eq.izone_revap))) then
+              (izone.eq.izone_revap))) THEN
 !          if ((option_revap.eq.1).and.
 !     :           (((Eqi_stewart(il)*fac_ftmr_cas(il).gt.evap_franche)
 !     :           .or.((liq.eq.0).and.
 !     :           (Eqi_stewart(il)*fac_ftmr_cas(il).ge.0.0))).or.
-!     :           (izone.eq.izone_revap))) then
+!     :           (izone.eq.izone_revap))) THEN
             ! on met la revap dans izone_revap si option_revap=1 et si:
             ! * evap glace (non fractionnante)
@@ -127,12 +127,12 @@
             ! si option_revap=1 et izone=izone_revap, on met aussi dans izone_revap
 !#ifdef ISOVERIF            
-!            if (il.eq.1) then
-!            write(*,*) 'compress tmp 341: revap dans izone_revap'
-!            write(*,*) 'Eqi_stewart(il),fac_ftmr_cas(il),evap_franche=',
+!            if (il.eq.1) THEN
+!            WRITE(*,*) 'compress tmp 341: revap dans izone_revap'
+!            WRITE(*,*) 'Eqi_stewart(il),fac_ftmr_cas(il),evap_franche=',
 !     :           Eqi_stewart(il),fac_ftmr_cas(il),evap_franche
-!            write(*,*) 'il,xtp_cas(iso_eau,il)=',il,xtp_cas(iso_eau,il)
-!            write(*,*) 'il,xtp_avantevap_cas(iso_eau,il)=',il,
+!            WRITE(*,*) 'il,xtp_cas(iso_eau,il)=',il,xtp_cas(iso_eau,il)
+!            WRITE(*,*) 'il,xtp_avantevap_cas(iso_eau,il)=',il,
 !     :            xtp_avantevap_cas(iso_eau,il)
-!            write(*,*) 'xtp(ixt_revap,cas(il))=',
+!            WRITE(*,*) 'xtp(ixt_revap,cas(il))=',
 !     :            xtp(index_trac(izone_revap,iso_eau),cas(il))
 !            endif
@@ -157,6 +157,6 @@
             enddo !do iiso=1,niso
 #ifdef ISOVERIF
-            if (iso_HDO.gt.0) then
-                if (xtevap_cas(iso_eau,il).gt.ridicule_evap) then
+            if (iso_HDO.gt.0) THEN
+                if (xtevap_cas(iso_eau,il).gt.ridicule_evap) THEN
                     CALL iso_verif_aberrant_choix( &
                        xtevap_cas(iso_HDO,il),xtevap_cas(iso_eau,il), &
@@ -168,9 +168,9 @@
                     xtevap(ieau,cas(il)),ridicule_trac,deltalimtrac*2, &
                     'compress 344b')
-            endif !if (iso_HDO.gt.0) then
+            endif !if (iso_HDO.gt.0) THEN
 #endif            
 
             ! l'évap des autres zones devient nulle
-            if (izone.ne.izone_revap) then
+            if (izone.ne.izone_revap) THEN
                 do iiso=1,niso
                   ixt=index_trac(izone,iiso)
@@ -181,9 +181,9 @@
 
 !#ifdef ISOVERIF            
-!            if (il.eq.1) then
-!            write(*,*) 'compress tmp 341: revap dans izone_revap'
-!            write(*,*) 'xtp(ixt_revap,cas(il))=',
+!            if (il.eq.1) THEN
+!            WRITE(*,*) 'compress tmp 341: revap dans izone_revap'
+!            WRITE(*,*) 'xtp(ixt_revap,cas(il))=',
 !     :           xtp(index_trac(izone_revap,iso_eau),cas(il))
-!            write(*,*) 'xtp(ixt,cas(il))=',
+!            WRITE(*,*) 'xtp(ixt,cas(il))=',
 !     :            xtp(index_trac(izone,iso_eau),cas(il))
 !            endif
@@ -209,5 +209,5 @@
            enddo !do iiso=1,niso
          enddo !do il=1,ncas
-!         write(*,*) 'compress_stewart 361 tmp: ',
+!         WRITE(*,*) 'compress_stewart 361 tmp: ',
 !     :           'sortie de uncompress_commun_zone_revap'
          
@@ -260,8 +260,8 @@
           ieau=index_trac(izone,iso_eau)
           do il=1,ncas
-            if (qp_avantevap(cas(il)).gt.0.0) then
+            if (qp_avantevap(cas(il)).gt.0.0) THEN
                Eqi_prime_cas(il)=Eqi_prime(cas(il)) &
               *(xtp_avantevap(ieau,cas(il))/qp_avantevap(cas(il)))
-            else !if (qp_avantevap_cas(cas(il)).gt.0.0) then
+            else !if (qp_avantevap_cas(cas(il)).gt.0.0) THEN
 #ifdef ISOVERIF
                 CALL iso_verif_egalite_choix( &
@@ -272,9 +272,9 @@
             endif !if (qp_avantevap_cas(cas(il)).gt.0.0) thens
             
-            if (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0) then
+            if (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0) THEN
                water_cas(il)=water(cas(il)) &
                  *((Pxtisup(ieau,cas(il))-Eqi_prime_cas(il)) &
                  /(Pqisup(cas(il))-Eqi_prime(cas(il))))
-            else !if (Pqisup(cas(il)).gt.0.0) then
+            else !if (Pqisup(cas(il)).gt.0.0) THEN
 #ifdef ISOVERIF
                 CALL iso_verif_egalite_choix(water(cas(il)),0.0, &
@@ -282,6 +282,5 @@
 #endif
                 water_cas(il)=0.0
-            endif !if (Pqisup(cas(il)).gt.0.0) then
-
+            endif !if (Pqisup(cas(il)).gt.0.0) THEN
             Pqisup_cas(il)=Pxtisup(ieau,cas(il))
             qp_avantevap_cas(il)=xtp_avantevap(ieau,cas(il))
@@ -349,5 +348,5 @@
           ieau=index_trac(izone,iso_eau)
           do il=1,ncas
-            if (qp_avantevap(cas(il)).gt.0) then
+            if (qp_avantevap(cas(il)).gt.0) THEN
               Eqi_prime_cas(il)=Eqi_prime(cas(il)) &
                  *(xtp_avantevap(ieau,cas(il))/qp_avantevap(cas(il)))
@@ -357,9 +356,9 @@
             endif
             
-            if (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0) then
+            if (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0) THEN
               water_cas(il)=water(cas(il)) &
                  *((Pxtisup(ieau,cas(il))-Eqi_prime_cas(il)) &
                  /(Pqisup(cas(il))-Eqi_prime(cas(il))))
-            else !if (Pqisup(cas(il)).gt.0.0) then
+            else !if (Pqisup(cas(il)).gt.0.0) THEN
 #ifdef ISOVERIF
                 CALL iso_verif_egalite_choix(water(cas(il)),0.0, &
@@ -367,11 +366,10 @@
 #endif
                 water_cas(il)=0.0
-            endif !if (Pqisup(cas(il)).gt.0.0) then  
-
+            endif !if (Pqisup(cas(il)).gt.0.0) THEN
             Pqisup_cas(il)=Pxtisup(ieau,cas(il))
             qp_avantevap_cas(il)=xtp_avantevap(ieau,cas(il))
             q_cas(il)=xt(ieau,cas(il))
 !#ifdef ISOVERIF
-!            if (qp_avantevap(cas(il)).gt.0.0) then
+!            if (qp_avantevap(cas(il)).gt.0.0) THEN
 !              evap_cas(il)=evap(cas(il))
 !     :           *(xtp_avantevap(ieau,cas(il))/qp_avantevap(cas(il)))
@@ -430,5 +428,5 @@
           do il=1,ncas
             Pqisup_cas(il)=Pxtisup(ieau,cas(il))
-            if (Pqisup(cas(il)).gt.0.0) then
+            if (Pqisup(cas(il)).gt.0.0) THEN
                water_cas(il)=water(cas(il)) &
                  *(Pxtisup(ieau,cas(il))/Pqisup(cas(il)))
@@ -506,7 +504,7 @@
           integer il,ixt,iiso,ieau
 
-!          write(*,*) 'compress 910: xtp_avantevap(iso_eau,cas(1))=',
+!          WRITE(*,*) 'compress 910: xtp_avantevap(iso_eau,cas(1))=',
 !     :           xtp_avantevap(iso_eau,cas(1))
-!        write(*,*) 'compress_evap_liq_zone 510: ncas,ncum=',ncas,ncum
+!        WRITE(*,*) 'compress_evap_liq_zone 510: ncas,ncum=',ncas,ncum
         ptrac(:)=0. ! CR 31 mars 2023: initialisation de ptrac
 
@@ -515,5 +513,5 @@
             Pqisup_cas(il)=Pxtisup(ieau,cas(il))
 
-            if (Pqisup(cas(il)).gt.0.0) then
+            if (Pqisup(cas(il)).gt.0.0) THEN
               ptrac(il)=Pxtisup(ieau,cas(il))/Pqisup(cas(il))
               Eqi_prime_cas(il)=Eqi_prime(cas(il)) &
@@ -528,9 +526,9 @@
             endif
 
-            if (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0) then
+            if (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0) THEN
                water_cas(il)=water(cas(il)) &
                  *((Pxtisup(ieau,cas(il))-Eqi_prime_cas(il)) &
                  /(Pqisup(cas(il))-Eqi_prime(cas(il))))
-            else !if (Pqisup(cas(il)).gt.0.0) then
+            else !if (Pqisup(cas(il)).gt.0.0) THEN
 #ifdef ISOVERIF
                 CALL iso_verif_egalite_choix(water(cas(il)),0.0, &
@@ -538,7 +536,5 @@
 #endif
                 water_cas(il)=0.0
-            endif !if (Pqisup(cas(il)).gt.0.0) then
-
-            
+            endif !if (Pqisup(cas(il)).gt.0.0) THEN
 !            qp_cas(il)=qp(cas(il))
 #ifdef ISOVERIF              
@@ -558,8 +554,8 @@
             enddo
           enddo !do il=1,ncas
-!         write(*,*) 'compress_stewart 931: ',
+!         WRITE(*,*) 'compress_stewart 931: ',
 !     &           'xtp_avantevap_cas(iso_eau,1)=', 
 !     &           xtp_avantevap_cas(iso_eau,1)
-!         write(*,*) 'xtp_avantevap(iso_eau,cas(1))=',
+!         WRITE(*,*) 'xtp_avantevap(iso_eau,cas(1))=',
 !     &           xtp_avantevap(iso_eau,cas(1))
 
@@ -574,7 +570,7 @@
       !    Eqi_prime sont les même que Eqi_par
           do il=1,ncas  
-           if (Pqisup(cas(il)).gt.0.0) then            
+           if (Pqisup(cas(il)).gt.0.0) THEN
             if ((water(cas(il)).gt.ridicule/100).and. &
-                  (Pqiinf_par(cas(il)).le.0.0)) then
+                  (Pqiinf_par(cas(il)).le.0.0)) THEN
              ! on ne peut pas utiliser la méthode 1, car KE prédit de l'eau
              ! alors que le bilan de masse n'enprédit pas.
@@ -582,14 +578,14 @@
              Pqiinf_stewart(il)=Pqiinf(cas(il))*ptrac(il)
              Eqi_stewart(il)=Eqi_par(cas(il)) *ptrac(il)
-           else !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) then
+           else !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) THEN
              ! il n'y a pas d'obstacles à l'utilisation de 1)
              Pqiinf_stewart(il)=Pqiinf_par(cas(il))*ptrac(il)
-             if (iflag_con.eq.30) then
+             if (iflag_con.eq.30) THEN
                 Eqi_stewart(il)=Eqi_prime(cas(il))*ptrac(il)
              else
                 Eqi_stewart(il)=Eqi(cas(il))*ptrac(il)
              endif
-           endif !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) then
-          else ! if (Pqisup(cas(il).gt.0.0) then
+           endif !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) THEN
+          else ! if (Pqisup(cas(il).gt.0.0) THEN
 #ifdef ISOVERIF
                CALL iso_verif_egalite((Pqiinf(cas(il))), &
@@ -604,5 +600,5 @@
                Pqiinf_stewart(il)=0.0
                Eqi_stewart(il)=0.0
-          endif ! if (Pqisup(cas(il).gt.0.0) then 
+          endif ! if (Pqisup(cas(il).gt.0.0) THEN
          enddo !do il=1,ncas_evap_glace
 
@@ -611,10 +607,10 @@
         do il=1,ncas
           if ((abs(water_cas(il)).ge.ridicule/10.) &
-                 .and.(Pqiinf_stewart(il).le.0.0)) then
-              write(*,*) 'compress_stewart 498: evap liq:'
-              write(*,*) 'water(il,i)=', water_cas(il)
-              write(*,*) 'Pqiinf=',Pqiinf(cas(il))
-              write(*,*) 'Pqiinf_par=',Pqiinf_par(cas(il))
-              write(*,*) 'Pqiinf_stewart=',Pqiinf_stewart(il)
+                 .and.(Pqiinf_stewart(il).le.0.0)) THEN
+              WRITE(*,*) 'compress_stewart 498: evap liq:'
+              WRITE(*,*) 'water(il,i)=', water_cas(il)
+              WRITE(*,*) 'Pqiinf=',Pqiinf(cas(il))
+              WRITE(*,*) 'Pqiinf_par=',Pqiinf_par(cas(il))
+              WRITE(*,*) 'Pqiinf_stewart=',Pqiinf_stewart(il)
               stop                   
           endif
@@ -678,5 +674,5 @@
             Pqisup_cas(il)=Pxtisup(ieau,cas(il))  
 
-            if (Pqisup(cas(il)).gt.0.0) then
+            if (Pqisup(cas(il)).gt.0.0) THEN
               Eqi_prime_cas(il)=Eqi_prime(cas(il)) &
                  *(Pxtisup(ieau,cas(il))/Pqisup(cas(il)))
@@ -693,9 +689,9 @@
             endif
 
-            if (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0) then
+            if (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0) THEN
                water_cas(il)=water(cas(il)) &
                  *((Pxtisup(ieau,cas(il))-Eqi_prime_cas(il)) &
                  /(Pqisup(cas(il))-Eqi_prime(cas(il))))
-            else !if (Pqisup(cas(il)).gt.0.0) then
+            else !if (Pqisup(cas(il)).gt.0.0) THEN
 #ifdef ISOVERIF
                 CALL iso_verif_egalite_choix(water(cas(il)),0.0, &
@@ -703,7 +699,5 @@
 #endif
                 water_cas(il)=0.0
-            endif !if (Pqisup(cas(il)).gt.0.0) then
-
-
+            endif !if (Pqisup(cas(il)).gt.0.0) THEN
             qp_avantevaptrac_cas(il)=xtp_avantevap(ieau,cas(il))
 !            qp_cas(il)=xtp(ieau,cas(il))
@@ -734,8 +728,7 @@
       !    Eqi_prime sont les même que Eqi_par
           do il=1,ncas  
-           if (Pqisup(cas(il)).gt.0.0) then  
-
+           if (Pqisup(cas(il)).gt.0.0) THEN
             if ((water(cas(il)).gt.ridicule/100).and. &
-                  (Pqiinf_par(cas(il)).le.0.0)) then
+                  (Pqiinf_par(cas(il)).le.0.0)) THEN
              ! on ne peut pas utiliser la méthode 1, car KE prédit de l'eau
              ! alors que le bilan de masse n'enprédit pas.
@@ -745,9 +738,9 @@
              Eqi_stewart(il)=Eqi_par(cas(il)) &
                 *(Pxtisup(ieau,cas(il))/Pqisup(cas(il)))
-           else !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) then
+           else !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) THEN
              ! il n'y a pas d'obstacles à l'utilisation de 1)
              Pqiinf_stewart(il)=Pqiinf_par(cas(il)) &
                   *(Pxtisup(ieau,cas(il))/Pqisup(cas(il)))
-             if (iflag_con.eq.30) then
+             if (iflag_con.eq.30) THEN
                 Eqi_stewart(il)=Eqi_prime(cas(il)) &
                   *(Pxtisup(ieau,cas(il))/Pqisup(cas(il)))
@@ -756,8 +749,6 @@
                   *(Pxtisup(ieau,cas(il))/Pqisup(cas(il)))
              endif
-           endif !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) then
-
-          else !if (Pqisup(cas(il).gt.0.0) then  
-
+           endif !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) THEN
+          else !if (Pqisup(cas(il).gt.0.0) THEN
 #ifdef ISOVERIF
               CALL iso_verif_egalite((Pqiinf(cas(il))), &
@@ -772,5 +763,5 @@
                Pqiinf_stewart(il)=0.0
                Eqi_stewart(il)=0.0              
-          endif !if (Pqisup(cas(il).gt.0.0) then  
+          endif !if (Pqisup(cas(il).gt.0.0) THEN
          enddo !do il=1,ncas_evap_glace
 
@@ -779,10 +770,10 @@
         do il=1,ncas
           if ((abs(water_cas(il)).ge.ridicule/10.) &
-                 .and.(Pqiinf_stewart(il).le.0.0)) then
-              write(*,*) 'compress_stewart 498: evap glace:'
-              write(*,*) 'water(il,i)=', water_cas(il)
-              write(*,*) 'Pqiinf=',Pqiinf(cas(il))
-              write(*,*) 'Pqiinf_par=',Pqiinf_par(cas(il))
-              write(*,*) 'Pqiinf_stewart=',Pqiinf_stewart(il)
+                 .and.(Pqiinf_stewart(il).le.0.0)) THEN
+              WRITE(*,*) 'compress_stewart 498: evap glace:'
+              WRITE(*,*) 'water(il,i)=', water_cas(il)
+              WRITE(*,*) 'Pqiinf=',Pqiinf(cas(il))
+              WRITE(*,*) 'Pqiinf_par=',Pqiinf_par(cas(il))
+              WRITE(*,*) 'Pqiinf_stewart=',Pqiinf_stewart(il)
               stop                   
           endif
@@ -799,5 +790,5 @@
 
     USE isotopes_mod, ONLY: ridicule,iso_eau
-    USE isotrac_mod, only: option_revap,evap_franche
+    USE isotrac_mod, ONLY: option_revap,evap_franche
 #ifdef ISOVERIF
         use isotopes_verif_mod
@@ -826,7 +817,7 @@
          integer il,ixt,iiso
 
-!         write(*,*) 'uncompress_stewart 1420 tmp: zxt=',
+!         WRITE(*,*) 'uncompress_stewart 1420 tmp: zxt=',
 !     :            zxt(iso_eau:ntraciso:3,cas(1))
-!         write(*,*) 'Exi,fac_ftmr=',
+!         WRITE(*,*) 'Exi,fac_ftmr=',
 !     :            Exi(iso_eau,1),fac_ftmr(1)
          do il=1,ncas
@@ -837,7 +828,7 @@
           enddo !do iiso=1,niso
 !#ifdef ISOVERIF
-!          if (il.eq.9) then
-!            write(*,*) 'uncompress 1521'
-!            write(*,*) 'il,Eqi,fac_ftmr,evap_franche,Exi(2,il)=',
+!          if (il.eq.9) THEN
+!            WRITE(*,*) 'uncompress 1521'
+!            WRITE(*,*) 'il,Eqi,fac_ftmr,evap_franche,Exi(2,il)=',
 !     :         il,Eqi(il),fac_ftmr(il),evap_franche,Exi(2,il)
 !          endif
@@ -848,5 +839,5 @@
                .and.(hdiag(il).lt.0.99)).or. &
                ((liq.eq.0).and. &
-               (Eqi(il)*fac_ftmr(il).ge.0.0)))) then
+               (Eqi(il)*fac_ftmr(il).ge.0.0)))) THEN
           ! le flux d'évap va dans un tag particulier
           ! -> zxt est inchangé mais xtrevap_tag(ixt,il) est incrémenté
@@ -873,5 +864,5 @@
           endif !if ((Eqi(il)*fac_ftmr(il).gt.evap_franche).and.
          enddo !do il=1,ncas
-!         write(*,*) 'compress_stewart 1453 tmp: zxt=',
+!         WRITE(*,*) 'compress_stewart 1453 tmp: zxt=',
 !     :            zxt(iso_eau:ntraciso:3,cas(1))
 
@@ -927,5 +918,5 @@
           zrfl_cas(il)=zxtrfl_ancien(ieau,cas(il))
 
-          if (zrfl_ancien(cas(il)).gt.0.0) then
+          if (zrfl_ancien(cas(il)).gt.0.0) THEN
           ! proportion de izone dans l'évap = celle dans la goutte          
             ptrac(il)=zxtrfl_ancien(ieau,cas(il))/zrfl_ancien(cas(il))
@@ -933,16 +924,16 @@
             zqev_diag_cas(il)=zqev_diag(cas(il))*ptrac(il)
 !#ifdef ISOVERIF              
-!            if (il.eq.9) then
-!              write(*,*) 'compress tmp: il, ptrac=',il,ptrac(il)
-!              write(*,*) 'ieau,zxtrfl_ancien(ieau,cas(il))=',
+!            if (il.eq.9) THEN
+!              WRITE(*,*) 'compress tmp: il, ptrac=',il,ptrac(il)
+!              WRITE(*,*) 'ieau,zxtrfl_ancien(ieau,cas(il))=',
 !     :           ieau,zxtrfl_ancien(ieau,cas(il))
-!              write(*,*) 'zrfl_ancien(cas(il))=',zrfl_ancien(cas(il))
-!              write(*,*) 'zrfl_cas(il)=',zrfl_cas(il)
+!              WRITE(*,*) 'zrfl_ancien(cas(il))=',zrfl_ancien(cas(il))
+!              WRITE(*,*) 'zrfl_cas(il)=',zrfl_cas(il)
 !            endif
 !#endif
 
-          else !if (zrfl_ancien(cas(il)).gt.0.0) then
+          else !if (zrfl_ancien(cas(il)).gt.0.0) THEN
 #ifdef ISOVERIF  
-!              write(*,*) 'il,cas(il),zrfln,zrfl_ancien,zqev_diag=',
+!              WRITE(*,*) 'il,cas(il),zrfln,zrfl_ancien,zqev_diag=',
 !     :              il,cas(il),zrfln(cas(il)),zrfl_ancien(cas(il)),
 !     :              zqev_diag(cas(il))   
@@ -955,5 +946,5 @@
                 zqev_diag_cas(il)=0.0
                
-          endif !if (zrfl_ancien(cas(il)).gt.0.0) then
+          endif !if (zrfl_ancien(cas(il)).gt.0.0) THEN
           ! les lignes suvantes ne sont pas à recalculer
 !          zt_cas(il)=zt(cas(il))
@@ -1011,5 +1002,5 @@
           zrfl_cas(il)=zxtrfl_ancien(ieau,cas(il))
 
-          if (zrfl_ancien(cas(il)).gt.0.0) then
+          if (zrfl_ancien(cas(il)).gt.0.0) THEN
              zrfln_cas(il)=zrfln(cas(il)) &
                  *(zxtrfl_ancien(ieau,cas(il))/zrfl_ancien(cas(il)))
@@ -1020,5 +1011,5 @@
              zqev_diag_cas(il)=zqev_diag(cas(il)) &
                *zxtrfl_ancien(ieau,cas(il))/zrfl_ancien(cas(il))
-          else !if (zrfl_ancien(cas(il)).gt.0.0) then
+          else !if (zrfl_ancien(cas(il)).gt.0.0) THEN
 #ifdef ISOVERIF  
               CALL iso_verif_egalite(zqev_diag(cas(il)),0.0, &
@@ -1029,5 +1020,5 @@
                 zrfln_cas(il)=0.0
                 zqev_diag_cas(il)=0.0
-          endif !if (zrfl_ancien(cas(il)).gt.0.0) then
+          endif !if (zrfl_ancien(cas(il)).gt.0.0) THEN
          enddo
 
@@ -1041,5 +1032,5 @@
 USE isotopes_verif_mod
 #endif
-USE isotrac_mod, only: izone_revap
+USE isotrac_mod, ONLY: izone_revap
       IMPLICIT NONE
 
@@ -1081,7 +1072,7 @@
 #ifdef ISOVERIF
                if (iso_verif_positif_choix_nostop(zxt(ixt_revap,cas(i)), &
-                         0.0,'ajoute_revap 46').eq.1) then
-                  write(*,*) 'i,iiso,izone,ixt=',i,iiso,izone,ixt
-                  write(*,*) 'xtrevap_tag(ixt,i)=',xtrevap_tag(ixt,i)
+                         0.0,'ajoute_revap 46').eq.1) THEN
+                  WRITE(*,*) 'i,iiso,izone,ixt=',i,iiso,izone,ixt
+                  WRITE(*,*) 'xtrevap_tag(ixt,i)=',xtrevap_tag(ixt,i)
 !                  stop
                endif
@@ -1106,5 +1097,5 @@
 
       function is_in_bassin(lat,lon,bassin)
-      USE isotrac_mod, only: use_bassin_atlantic,use_bassin_medit, &
+      USE isotrac_mod, ONLY: use_bassin_atlantic,use_bassin_medit, &
 &       use_bassin_indian,use_bassin_austral,use_bassin_pacific, &
 &       use_bassin_MerArabie,use_bassin_BengalGolf,use_bassin_SouthIndian, &
@@ -1130,162 +1121,162 @@
       is_in_bassin=.FALSE.
 #ifdef ISOVERIF      
-      write(*,*) 'is_in_basin 84: entree,bassin=',bassin
-#endif
-      if (use_bassin_atlantic .and. bassin==bassin_atlantic) then
+      WRITE(*,*) 'is_in_basin 84: entree,bassin=',bassin
+#endif
+      if (use_bassin_atlantic .and. bassin==bassin_atlantic) THEN
 #ifdef ISOVERIF           
-          write(*,*) 'bassin Atlantique?'
+          WRITE(*,*) 'bassin Atlantique?'
 #endif          
-          if (is_in_rectangle(lon,lat,-67.0,28.0,20.0,-45.0)) then
+          if (is_in_rectangle(lon,lat,-67.0,28.0,20.0,-45.0)) THEN
             ! boite sud
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif
-          if (is_in_rectangle(lon,lat,-100.0,40.0,-5.3,28.0)) then
+          if (is_in_rectangle(lon,lat,-100.0,40.0,-5.3,28.0)) THEN
             ! ouest gibraltar    
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif
-          if (is_in_rectangle(lon,lat,-100.0,48.0,0.0,40.0)) then
+          if (is_in_rectangle(lon,lat,-100.0,48.0,0.0,40.0)) THEN
             ! Ouest France
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif 
-          if (is_in_rectangle(lon,lat,-90.0,80.0,10.0,46.0)) then
+          if (is_in_rectangle(lon,lat,-90.0,80.0,10.0,46.0)) THEN
             ! Atlantic Nord
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif
           if (is_in_triangle(lon,lat, &
-                 -62.0,0.0,-62.0,30.0,-112.0,30.0)) then
+                 -62.0,0.0,-62.0,30.0,-112.0,30.0)) THEN
             ! golfe du Mexique
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif
 
-      else if (use_bassin_medit .and. bassin==bassin_medit) then
+      else if (use_bassin_medit .and. bassin==bassin_medit) THEN
 #ifdef ISOVERIF           
-          write(*,*) 'bassin Medit?'
+          WRITE(*,*) 'bassin Medit?'
 #endif          
-          if (is_in_rectangle(lon,lat,0.0,48.0,45.0,29.0)) then
+          if (is_in_rectangle(lon,lat,0.0,48.0,45.0,29.0)) THEN
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif
-          if (is_in_rectangle(lon,lat,-5.3,42.0,45.0,29.0)) then
+          if (is_in_rectangle(lon,lat,-5.3,42.0,45.0,29.0)) THEN
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif
 
-      else if (use_bassin_indian .and. bassin==bassin_indian) then
+      else if (use_bassin_indian .and. bassin==bassin_indian) THEN
 #ifdef ISOVERIF           
-          write(*,*) 'bassin indian?'
+          WRITE(*,*) 'bassin indian?'
 #endif           
-          if (is_in_rectangle(lon,lat,20.0,30.0,110.0,-45.0)) then
+          if (is_in_rectangle(lon,lat,20.0,30.0,110.0,-45.0)) THEN
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif
           if (is_in_triangle(lon,lat, &
-                 90.0,30.0,90.0,-45.0,150.0,-45.0)) then
+                 90.0,30.0,90.0,-45.0,150.0,-45.0)) THEN
             ! Ouest Australie
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif   
 
-      else if (use_bassin_SouthIndian .and. bassin==bassin_SouthIndian) then
+      else if (use_bassin_SouthIndian .and. bassin==bassin_SouthIndian) THEN
 #ifdef ISOVERIF           
-          write(*,*) 'bassin indian hemisphere Sud?'
+          WRITE(*,*) 'bassin indian hemisphere Sud?'
 #endif           
-          if (is_in_rectangle(lon,lat,20.0,0.0,120.0,-45.0)) then
+          if (is_in_rectangle(lon,lat,20.0,0.0,120.0,-45.0)) THEN
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif
           
-      else if (use_bassin_MerArabie .and. bassin==bassin_MerArabie) then
+      else if (use_bassin_MerArabie .and. bassin==bassin_MerArabie) THEN
 #ifdef ISOVERIF           
-          write(*,*) 'bassin Mer d''Arabie?'
+          WRITE(*,*) 'bassin Mer d''Arabie?'
 #endif           
-          if (is_in_rectangle(lon,lat,20.0,30.0,76.0,0.0)) then
+          if (is_in_rectangle(lon,lat,20.0,30.0,76.0,0.0)) THEN
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif 
 
-      else if (use_bassin_BengalGolf .and. bassin==bassin_BengalGolf) then
+      else if (use_bassin_BengalGolf .and. bassin==bassin_BengalGolf) THEN
 #ifdef ISOVERIF           
-          write(*,*) 'bassin Golfe du Bengale?'
+          WRITE(*,*) 'bassin Golfe du Bengale?'
 #endif           
-          if (is_in_rectangle(lon,lat,76.0,30.0,110.0,0.0)) then
+          if (is_in_rectangle(lon,lat,76.0,30.0,110.0,0.0)) THEN
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif         
 
-      else if (use_bassin_pacific .and. bassin==bassin_pacific) then
+      else if (use_bassin_pacific .and. bassin==bassin_pacific) THEN
 #ifdef ISOVERIF           
-          write(*,*) 'bassin Pacific?'
+          WRITE(*,*) 'bassin Pacific?'
 #endif          
-         if (is_in_rectangle(lon,lat,-180.0,80.0,-100.0,-45.0)) then
+         if (is_in_rectangle(lon,lat,-180.0,80.0,-100.0,-45.0)) THEN
              ! pacifique Est
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif
-          if (is_in_rectangle(lon,lat,110.0,80.0,180.0,28.0)) then
+          if (is_in_rectangle(lon,lat,110.0,80.0,180.0,28.0)) THEN
             ! Pacifique Nord Ouest
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif 
-          if (is_in_rectangle(lon,lat,120.0,80.0,180.0,-45.0)) then
+          if (is_in_rectangle(lon,lat,120.0,80.0,180.0,-45.0)) THEN
             ! Pacifique central Sud
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif
           if (is_in_triangle(lon,lat, &
-                  90.0,28.0,150.0,-45.0,150.0,28.0)) then
+                  90.0,28.0,150.0,-45.0,150.0,28.0)) THEN
             ! Pacifque Sud Ouest
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif
           if (is_in_triangle(lon,lat, &
-                  -62.0,0.0,-112.0,30.0,-112.0,0.0)) then
+                  -62.0,0.0,-112.0,30.0,-112.0,0.0)) THEN
             ! Ouest Amérique centrale
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif
-          if (is_in_rectangle(lon,lat,-180.0,0.0,-67.0,-45.0)) then
+          if (is_in_rectangle(lon,lat,-180.0,0.0,-67.0,-45.0)) THEN
             ! Ouest Chili
             is_in_bassin=.TRUE.
-            return
+            RETURN
           endif
 
-      else if (use_bassin_austral .and. bassin==bassin_austral) then  
+      else if (use_bassin_austral .and. bassin==bassin_austral) THEN
 #ifdef ISOVERIF           
-          write(*,*) 'bassin austral?'
+          WRITE(*,*) 'bassin austral?'
 #endif           
-          if (lat.lt.-45.0+0.2) then
+          if (lat.lt.-45.0+0.2) THEN
                 is_in_bassin=.TRUE.
                 return    
           endif  
 
-      else if (use_bassin_HighLats .and. bassin==bassin_HighLats) then  
+      else if (use_bassin_HighLats .and. bassin==bassin_HighLats) THEN
 #ifdef ISOVERIF           
-          write(*,*) 'bassin hautes lats?'
+          WRITE(*,*) 'bassin hautes lats?'
 #endif           
-          if (abs(lat).gt.35.0) then
+          if (abs(lat).gt.35.0) THEN
                 is_in_bassin=.TRUE.
                 return    
           endif
 
-      else if (use_bassin_tropics .and. bassin==bassin_tropics) then  
+      else if (use_bassin_tropics .and. bassin==bassin_tropics) THEN
 #ifdef ISOVERIF           
-          write(*,*) 'bassin tropics?'
+          WRITE(*,*) 'bassin tropics?'
 #endif           
-          if (abs(lat).lt.15.0) then
+          if (abs(lat).lt.15.0) THEN
                 is_in_bassin=.TRUE.
                 return    
           endif
 
-       else if (use_bassin_midlats .and. bassin==bassin_midlats) then  
+       else if (use_bassin_midlats .and. bassin==bassin_midlats) THEN
 #ifdef ISOVERIF           
-          write(*,*) 'bassin mid lats?'
+          WRITE(*,*) 'bassin mid lats?'
 #endif           
           if ((abs(lat).ge.15.0).and. &
-                 (abs(lat).le.35.0)) then
+                 (abs(lat).le.35.0)) THEN
                 is_in_bassin=.TRUE.
                 return    
@@ -1293,27 +1284,27 @@
 
       else
-          write(*,*) 'iso_traceurs_routines 59: bassin inconnu'
-          write(*,*) 'bassin_atlantic=' ,bassin_atlantic  
-          write(*,*) 'bassin_medit=' ,bassin_medit
-          write(*,*) 'bassin_indian=' ,bassin_indian
-          write(*,*) 'bassin_austral=' ,bassin_austral
-          write(*,*) 'bassin_MerArabie=' ,bassin_MerArabie
-          write(*,*) 'bassin_BengalGolf=' ,bassin_BengalGolf
-          write(*,*) 'bassin_SouthIndian=' ,bassin_SouthIndian
-          write(*,*) 'use_bassin_atlantic=' ,use_bassin_atlantic  
-          write(*,*) 'use_bassin_medit=' ,use_bassin_medit
-          write(*,*) 'use_bassin_indian=' ,use_bassin_indian
-          write(*,*) 'use_bassin_austral=' ,use_bassin_austral
-          write(*,*) 'use_bassin_MerArabie=' ,use_bassin_MerArabie
-          write(*,*) 'use_bassin_BengalGolf=' ,use_bassin_BengalGolf
-          write(*,*) 'use_bassin_SouthIndian=' ,use_bassin_SouthIndian
+          WRITE(*,*) 'iso_traceurs_routines 59: bassin inconnu'
+          WRITE(*,*) 'bassin_atlantic=' ,bassin_atlantic
+          WRITE(*,*) 'bassin_medit=' ,bassin_medit
+          WRITE(*,*) 'bassin_indian=' ,bassin_indian
+          WRITE(*,*) 'bassin_austral=' ,bassin_austral
+          WRITE(*,*) 'bassin_MerArabie=' ,bassin_MerArabie
+          WRITE(*,*) 'bassin_BengalGolf=' ,bassin_BengalGolf
+          WRITE(*,*) 'bassin_SouthIndian=' ,bassin_SouthIndian
+          WRITE(*,*) 'use_bassin_atlantic=' ,use_bassin_atlantic
+          WRITE(*,*) 'use_bassin_medit=' ,use_bassin_medit
+          WRITE(*,*) 'use_bassin_indian=' ,use_bassin_indian
+          WRITE(*,*) 'use_bassin_austral=' ,use_bassin_austral
+          WRITE(*,*) 'use_bassin_MerArabie=' ,use_bassin_MerArabie
+          WRITE(*,*) 'use_bassin_BengalGolf=' ,use_bassin_BengalGolf
+          WRITE(*,*) 'use_bassin_SouthIndian=' ,use_bassin_SouthIndian
           stop
       endif
       
 
-      end function is_in_bassin
+      END FUNCTION is_in_bassin
 
       SUBROUTINE find_bassin(lat,lon,bassin)
-      use isotrac_mod, only: izone_poubelle,ntraceurs_zone=>ntiso,option_traceurs, &
+      use isotrac_mod, ONLY: izone_poubelle,ntraceurs_zone=>ntiso,option_traceurs, &
 &        bassin_map
 #ifdef ISOVERIF
